Bug 655379 - Review Request: tritonus - Java Sound API Implementation
Summary: Review Request: tritonus - Java Sound API Implementation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-20 18:42 UTC by Lukas Zapletal
Modified: 2010-12-22 00:05 UTC (History)
2 users (show)

Fixed In Version: tritonus-0.3.7-0.9.20101108cvs.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-22 00:05:16 UTC
Type: ---
hdegoede: fedora-review+
j: fedora-cvs+


Attachments (Terms of Use)

Description Lukas Zapletal 2010-11-20 18:42:39 UTC
Spec URL: http://static.zapletalovi.com/fedora/rpm/tritonus/0.3.7-0.6.20101108cvs/tritonus.spec
SRPM URL: http://static.zapletalovi.com/fedora/rpm/tritonus/0.3.7-0.6.20101108cvs/tritonus-0.3.7-0.6.20101108cvs.fc14.src.rpm

Tritonus is an implementation of the Java Sound API. This package contains common files and shared classes required by all other Tritonus plug-ins plus support for aos, javasequencer, alsa, dsp, gsm, jorbis, pvorbis and vorbis.

$ rpmlint tritonus*
tritonus-esd.i686: W: spelling-error Summary(en_US) javax -> java, java x, Javan
tritonus-esd.i686: W: spelling-error Summary(en_US) libesd -> libelist, libelous, libero
tritonus-esd.i686: W: spelling-error %description -l en_US javax -> java, java x, Javan
tritonus-esd.i686: W: spelling-error %description -l en_US libesd -> libelist, libelous, libero
tritonus-javadoc.i686: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Javanese
tritonus-src.i686: W: only-non-binary-in-usr-lib
tritonus-src.i686: W: no-documentation
7 packages and 0 specfiles checked; 0 errors, 7 warnings.


$ rpmlint tritonus-0.3.7-0.6.20101108cvs.fc14.src.rpm 
tritonus.src: W: invalid-url Source0: tritonus-0.3.7-20101108cvs.tar.bz2
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 1 Hans de Goede 2010-11-21 10:31:03 UTC
Full review done:

Good:
- rpmlint checks return:
tritonus.src: W: invalid-url Source0: tritonus-0.3.7-20101108cvs.tar.bz2
tritonus-esd.x86_64: W: spelling-error Summary(en_US) javax -> java, java x, Javan
tritonus-esd.x86_64: W: spelling-error Summary(en_US) libesd -> libelous, libelist, libero
tritonus-esd.x86_64: W: spelling-error %description -l en_US javax -> java, java x, Javan
tritonus-esd.x86_64: W: spelling-error %description -l en_US libesd -> libelous, libelist, libero
tritonus-javadoc.x86_64: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Javanese
tritonus-src.x86_64: W: only-non-binary-in-usr-lib
tritonus-src.x86_64: W: no-documentation
8 packages and 0 specfiles checked; 0 errors, 8 warnings.
The first 6 can be ignored, the last 2 go away once the -src package is folded into the main package (see below).
- package meets naming guidelines
- package meets packaging guidelines
- license (LGPLv2+) OK, text in %doc, matches source
  Note the gsm code is an exception license wise, see below.
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- nothing in %doc affects runtime
- no need for .desktop file 

Needs work:
- Please remove the following no longer valid comment from the specfile:
# The following circular dependencies are intentional. These classes need each other.
- Please fix the indentation of the following provides to be like that of the
  other provides / tags:
Provides:   %{name}-shared = %{version}-%{release}
- Please fold the -src subpackage into the main package (it is tiny and brings in no external dependencies)
- Please re-introduce the -gsm subpackage, sorry about this, but the gsm java code is licensed under the GPLv2+, rather then the LGPLv2+, so it needs to be packaged separately. Do not forget to add a:
License:    GPLv2+
line to the subpackage

Comment 2 Lukas Zapletal 2010-11-23 17:18:58 UTC
All done.

Thanks.

http://static.zapletalovi.com/fedora/rpm/tritonus/0.3.7-0.7.20101108cvs/

Comment 3 Hans de Goede 2010-11-24 07:54:40 UTC
(In reply to comment #2)
> All done.
> 
> Thanks.
> 
> http://static.zapletalovi.com/fedora/rpm/tritonus/0.3.7-0.7.20101108cvs/

Hi,

2 small issues remain:

1) The: "# Packages merged into the tritonus package" obsoletes and provides still provide and obsolete the -gsm sub package which now is a separate sub package again and they do not obsolete / provide the now merged -src package

2) The Summary, Group and Requires tags / fields for the -gsm subpackage are indented with tabs, where as spaces are used everywhere else.

Regards,

Hans

Comment 4 Lukas Zapletal 2010-11-24 11:04:10 UTC
Oh forgot to do rpmlint. Both fixed. Thanks!

http://static.zapletalovi.com/fedora/rpm/tritonus/0.3.7-0.8.20101108cvs/

$ rpmlint tritonus-0.3.7-0.8.20101108cvs.fc14.src.rpm 
tritonus.src: W: spelling-error %description -l en_US aos -> ais, as, os
tritonus.src: W: spelling-error %description -l en_US javasequencer -> java sequencer, java-sequencer, sequencer
tritonus.src: W: spelling-error %description -l en_US alsa -> alas, ala, salsa
tritonus.src: W: spelling-error %description -l en_US dsp -> dap, sp, dep
tritonus.src: W: spelling-error %description -l en_US gsm -> gam, gs, gm
tritonus.src: W: spelling-error %description -l en_US pvorbis -> Orbison, forbids, orbitals
tritonus.src: W: spelling-error %description -l en_US vorbis -> Orbison, orbits, forbids
tritonus.src: W: invalid-url Source0: tritonus-0.3.7-20101108cvs.tar.bz2
1 packages and 0 specfiles checked; 0 errors, 8 warnings.

Comment 5 Hans de Goede 2010-11-24 19:29:16 UTC
Sorry to be a PITA, but you still forgot to add the Obsoletes / Provides pair for the removed -src subpackage to the: "# Packages merged into the tritonus package" section.

Comment 7 Hans de Goede 2010-11-25 10:04:29 UTC
Hi,

Looks good now, approved!

Note that since this is an orphaned and then retired package returning you should not file a new package SCM request, but an SCM package change request to make you the owner (and add a note it is being un-orphaned), see:
https://bugzilla.redhat.com/show_bug.cgi?id=649777#c10
For an example.

Also you will need to file a ticket with rel-eng:
https://fedorahosted.org/rel-eng/newticket

To get tritonus unblocked for F-14 and rawhide, see:
https://fedorahosted.org/rel-eng/ticket/4255
For an example.

Thanks & Regards,

Hans


p.s.

The missing obsolete / provides were not merely cosmetical, they are needed for a properly functioning upgrade path for people who have the old retired version installed.

Comment 8 Lukas Zapletal 2010-11-28 22:10:17 UTC
Package Change Request
======================
Package Name: tritonus
branches: f14 master
New owner: lzap

Rationale: tritonus is returning to Fedora (it was retired) with a new
maintainer. 

I am going to fill a rel-eng request to unblock it from rawhide but I dont have permission to create new tickets yet. I will add link once I get it.

Comment 9 Lukas Zapletal 2010-11-28 22:11:16 UTC
@Hans: I am getting 

TICKET_CREATE privileges are required to perform this operation

Do I need to apply to any group or something? Thanks for help!

Comment 10 Hans de Goede 2010-11-29 08:39:59 UTC
(In reply to comment #9)
> @Hans: I am getting 
> 
> TICKET_CREATE privileges are required to perform this operation
> 
> Do I need to apply to any group or something? Thanks for help!

track is not hooked into the single sign on stuff for other Fedora sites, you need to login separately using your Fedora username and password.

Comment 11 Lukas Zapletal 2010-11-29 09:14:07 UTC
@Hans - yeah I know Trac very well. The problem is I was missing the login button on the standard position. Theres no login button at all actually under Google Chrome.

I have asked on IRC and they pointed me to https://fedorahosted.org/rel-eng/login which worked. Thanks!

Comment 12 Lukas Zapletal 2010-11-29 09:19:21 UTC
Package Change Request
======================
Package Name: tritonus
branches: f14 master
New owner: lzap

Rationale: tritonus is returning to Fedora (it was retired) with a new
maintainer. 

I have filled a rel-eng request to unblock it from rawhide:

https://fedorahosted.org/rel-eng/ticket/4273

Comment 13 Hans de Goede 2010-12-06 13:34:27 UTC
Lukáš, you should have set the cvs flag to ? not to +, fixing.

Comment 14 Hans de Goede 2010-12-06 13:35:18 UTC
Package Change Request
======================
Package Name: tritonus
branches: f14 master
New owner: lzap

Rationale: tritonus is returning to Fedora (it was retired) with a new
maintainer.

trtonus has already been unblocked from rawhide and F-14, see:
https://fedorahosted.org/rel-eng/ticket/4273

Comment 15 Jason Tibbitts 2010-12-06 16:07:51 UTC
Not only is that change request not properly formatted, but this package already has an f14 branch (and of course it always has a 'master' branch which you never need to request).

I'm going to take a wild guess and say that you're requesting for those branches to be unretired, which I've done.  However, if that's what you wanted, why not just say that?

You should now log into pkgdb and claim the package.

Comment 16 Lukas Zapletal 2010-12-07 08:45:36 UTC
@Jason - You are right and sorry for the inproper request. I have took the ownership in the pkgdb. Thank you.

Comment 17 Fedora Update System 2010-12-09 07:04:10 UTC
tritonus-0.3.7-0.9.20101108cvs.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/tritonus-0.3.7-0.9.20101108cvs.fc14

Comment 18 Fedora Update System 2010-12-09 22:01:57 UTC
tritonus-0.3.7-0.9.20101108cvs.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tritonus'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/tritonus-0.3.7-0.9.20101108cvs.fc14

Comment 19 Fedora Update System 2010-12-22 00:05:10 UTC
tritonus-0.3.7-0.9.20101108cvs.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.